cURL
curl -X GET 'https://api.telegent.com/v1.0/account/subscriptions' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/account/subscriptions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/account/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx",
"TotalSubscriptions": 1,
"Filter": "Active",
"Results": [
{
"SubscriptionId": "SUB-ef84c0b5-d750-4a5a-99b1-4705089cd20c",
"SubscriberId": "TSUID-d7b3-4696-bdd9-5b407d9e99ee-3985-444b8d",
"TNID": "NID-B5B67F02-708A-1851-20DF-61FC1919C4F6",
"ICCID": "8901240397190002080",
"PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
"Type": "mvno",
"Active": true
}
]
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Accounts
Get Subscriptions
Retrieve a list of all subscriptions associated with your account. Use the optional Filter parameter to filter by subscription status (e.g., Active, Inactive).
What this does: Returns a list of subscriptions on the account with their IDs, package associations, and status. Useful for auditing which subscribers have active plans.
Next steps:
- Get subscription details —
GET /v1.0/subscriptions - Create a subscription —
POST /v1.0/subscriptions
GET
/
v1.0
/
account
/
subscriptions
cURL
curl -X GET 'https://api.telegent.com/v1.0/account/subscriptions' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/account/subscriptions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/account/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx",
"TotalSubscriptions": 1,
"Filter": "Active",
"Results": [
{
"SubscriptionId": "SUB-ef84c0b5-d750-4a5a-99b1-4705089cd20c",
"SubscriberId": "TSUID-d7b3-4696-bdd9-5b407d9e99ee-3985-444b8d",
"TNID": "NID-B5B67F02-708A-1851-20DF-61FC1919C4F6",
"ICCID": "8901240397190002080",
"PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
"Type": "mvno",
"Active": true
}
]
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Query Parameters
Filter by status (e.g., Active, Inactive, All)
Response
Get Subscriptions List
The response is of type object.
⌘I